using System;

namespace OperatingOverloadingDemo
{
    public class Player
    {
        public Player( string firstName, string lastName, int age )
        {
            FirstName = firstName;
            LastName = lastName;
            Age = age;
        }

        public static bool operator ==( Player left, Player right )
        {
            if (Object.ReferenceEquals(left, right)) { return true; }
            if ((object)left == null || (object)right == null) { return false; }

            if( left.FirstName.Equals( right.FirstName ) &&
                    left.LastName.Equals( right.LastName ) &&
                    left.Age.Equals(right.Age)) {
                        return true;
            }

            return false;
        }

        public static bool operator !=(Player left, Player right)
        {
            return !( left == right );
        }

        public static bool operator < ( Player left, Player right)
        {
            return left.Age < right.Age;
        }

        public static bool operator >(Player left, Player right)
        {
            return !( left < right );
        }

        public string FirstName { get; set; }
        public string LastName { get; set; }
        public Int32 Age { get; set; }
        
    }
}